--# Copyright (C) @BABOLO  2002..2008 http://www.babolo.ru/
--# All rights reserved.
--#
--# Redistribution and use in source and binary forms, with or without
--# modification, are permitted provided that the following conditions
--# are met:
--# 1. Redistributions of source code must retain the above copyright
--#    notice, this list of conditions and the following disclaimer.
--# 2. Redistributions in binary form must reproduce the above copyright
--#    notice, this list of conditions and the following disclaimer in the
--#    documentation and/or other materials provided with the distribution.
--#
--# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
--# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
--# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
--# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
--# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
--# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
--# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
--# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
--# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
--# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
--# SUCH DAMAGE.
--#
--# $Id: pglib_set.sql.m4,v 1.1 2008/01/23 23:47:54 babolo Exp $

CREATE OR REPLACE FUNCTION int4_set(int4, int4, int4) RETURNS SETOF int4
 AS '$libdir/pglib_set.so.VMAJOR', 'int4_set'
 LANGUAGE C IMMUTABLE STRICT
;
COMMENT ON FUNCTION int4_set(int4, int4, int4) IS '   $1   $2   $3';

CREATE OR REPLACE FUNCTION int4_set(int4, int4) RETURNS SETOF int4
 AS 'SELECT int4_set($1, $2, 1)'
 LANGUAGE SQL IMMUTABLE STRICT
;
COMMENT ON FUNCTION int4_set(int4, int4)       IS '   $1   $2   1';

CREATE OR REPLACE FUNCTION int2_set(int2, int2, int2) RETURNS SETOF int2
 AS '$libdir/pglib_set.so.VMAJOR', 'int2_set'
 LANGUAGE C IMMUTABLE STRICT
;
COMMENT ON FUNCTION int2_set(int2, int2, int2) IS '   $1   $2   $3';

CREATE OR REPLACE FUNCTION int2_set(int2, int2) RETURNS SETOF int2
 AS 'SELECT int2_set($1, $2, 1::int2)'
 LANGUAGE SQL IMMUTABLE STRICT
;
COMMENT ON FUNCTION int2_set(int2, int2)       IS '   $1   $2   1';
